Home
My Page
Projects
OpenVAS

[#1915] openvas-check.sh on CentOS 5.5 x64 or dependency issue when installing GSA

Date:
2011-01-14 23:42
Priority:
3
State:
Open
Submitted by:
James Marcus (jmarcus)
Assigned to:
Nobody (None)
Architecture:
64 bits
Product:
OpenVAS
Operating System:
Linux
Component:
gsa
Version:
None
Severity:
minor
Resolution:
None
Hardware:
None
URL:
 
Summary:
openvas-check.sh on CentOS 5.5 x64 or dependency issue when installing GSA

Detailed description
This might just be noise, but I started install OpenVAS and I would run the openvas-check.sh script after each install. When I got to:





[root@openvas ~]# ./openvas-check.sh

openvas-check-setup 0.1.1

Test completeness and readiness of OpenVAS 4



Please report us any non-detected problems and

help us to improve this check routine:

http://lists.wald.intevation.org/mailman/listinfo/openvas-discuss



Send us the log-file (/tmp/openvas-check-setup.log) to help analyzing the problem



Step 1: Checking OpenVAS Scanner ...

OK: Scanner is present in version 3.2.0.rc1.

OK: Scanner CA Certificate is present as /var/lib/openvas/CA/cacert.pem.

Step 2: Checking OpenVAS Manager ...

OK: Manager is present in version 2.0+rc1.

Step 3: Checking OpenVAS Administrator ...

OK: Administrator is present in version 1.0.0.

Step 4: Checking Greenbone Security Assistant (GSA) ...

ERROR: No Greenbone Security Assistant (gsad) found.

FIX: Please install Greenbone Security Assistant.



But I had installed the Greenbone Security Assistant. I found the test in the script and ran:



[root@openvas ~]# which gsad

/usr/sbin/gsad

[root@openvas ~]# gsad --version | head -1 | sed -e "s/gsad //"

gsad: error while loading shared libraries: libexslt.so.0: cannot open shared object file: No such file or directory



So I guess this isn't really an issue with the script but maybe the prerequisites for installing GSA. To resolve the issue:



[root@openvas ~]# yum install libxslt*





It installed:



Installed:

libxslt.i386 0:1.1.17-2.el5_2.2

libxslt.x86_64 0:1.1.17-2.el5_2.2

libxslt-devel.i386 0:1.1.17-2.el5_2.2

libxslt-devel.x86_64 0:1.1.17-2.el5_2.2

libxslt-python.x86_64 0:1.1.17-2.el5_2.2

libgcrypt-devel.x86_64 0:1.4.4-5.el5

libgpg-error-devel.x86_64 0:1.4-2

libxml2.i386 0:2.6.26-2.1.2.8.el5_5.1

libxml2-devel.x86_64 0:2.6.26-2.1.2.8.el5_5.1



Then:

[root@openvas ~]# gsad --version | head -1 | sed -e "s/gsad //"

2.0+rc1



I'm going to attach my terminal output.



I'm running CentOS 5.5 x64 on VMWARE ESX 4.1

Followup

No Followups Have Been Posted

Attached Files:

Attachments:
TerminalLog.rtf

Changes:

Field Old Value Date By
File Added445: TerminalLog.rtf2011-01-14 23:42jmarcus

This site is hosted by Intevation GmbH
(Datenschutzerklärung und Impressum | Privacy Policy and Imprint)